i2c_add_numbered_adapter
Prev | Chapter 30. I2C and SMBus Subsystem | Next

## Name

i2c_add_numbered_adapter — declare i2c adapter, use static bus number

## Synopsis

`int i2c_add_numbered_adapter (` | struct i2c_adapter * | adap`)`;

## Arguments

`adap`

  the adapter to register (with adap->nr initialized)

## Context

can sleep

## Description

This routine is used to declare an I2C adapter when its bus number matters. Example: for I2C adapters from system-on-chip CPUs, or otherwise built in to the system's mainboard, and where i2c_board_info is used to properly configure I2C devices.

If no devices have pre-been declared for this bus, then be sure to register the adapter before any dynamically allocated ones. Otherwise the required bus ID may not be available.

When this returns zero, the specified adapter became available for clients using the bus number provided in adap->nr. Also, the table of I2C devices pre-declared using `i2c_register_board_info` is scanned, and the appropriate driver model device nodes are created. Otherwise, a negative errno value is returned.

Prev | Up | Next
i2c_add_adapter | Home | i2c_del_adapter